Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The CCux Linux default Console Bootsplash.
Name: 		ccux-bootsplash
Version: 	1.3.1
Release: 	2
License: 	GPL
Source0:	bootsplash-800x600.cfg
Source1:	bootsplash-1024x768.cfg
Source2:	bootsplash-1280x1024.cfg
Source3:	bootsplash-1400x1050.cfg
Source4:	bootsplash-1600x1200.cfg
Source5:	verbose-800x600.jpg
Source6:	silent-800x600.jpg
Source7:	verbose-1024x768.jpg
Source8:	silent-1024x768.jpg
Source9:	verbose-1280x1024.jpg
Source10:	silent-1280x1024.jpg
Source11:	verbose-1400x1050.jpg
Source12:	silent-1400x1050.jpg
Source13:	verbose-1600x1200.jpg
Source14:	silent-1600x1200.jpg
Source15:	splashresize
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	noarch
Requires:	bootsplash >= 3.2-4

%description
The CCux Linux default Console Bootsplash.

Following Resolutions are supported now:

800x600
1024x768
1280x1024
1400x1050
1600x1200

%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 755 -d $RPM_BUILD_ROOT/boot
install -m 755 -d $RPM_BUILD_ROOT%_sbindir

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config

install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE13} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/images

install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%_sbindir

splash -s -f $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/bootsplash-800x600.cfg >> $RPM_BUILD_ROOT/boot/initrd
splash -s -f $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/bootsplash-1024x768.cfg >> $RPM_BUILD_ROOT/boot/initrd
splash -s -f $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/bootsplash-1280x1024.cfg >> $RPM_BUILD_ROOT/boot/initrd
splash -s -f $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/bootsplash-1400x1050.cfg >> $RPM_BUILD_ROOT/boot/initrd
splash -s -f $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/bootsplash-1600x1200.cfg >> $RPM_BUILD_ROOT/boot/initrd

cat > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/bootsplash <<"EOF"
## Path:	System/Boot
## Description:	enables/disables bootup graphics
## Type:	yesno
## Default:	yes
#
# SPLASH can be set to "no" to turn off the splash-screen on console 1
# at boot time (after kernel load).
#
# SPLASH=no to disable the splash screen
#
# SPLASH=yes to show the splash screen
#
SPLASH="yes"
THEME="ccux-0.9.8"
EOF

%files
%defattr(-,root,root)
/boot/initrd
%_sysconfdir/bootsplash/themes/ccux-0.9.8/config/*.cfg
%_sysconfdir/bootsplash/themes/ccux-0.9.8/images/*.jpg
%_sbindir/splashresize
%_sysconfdir/sysconfig/bootsplash

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-2
- Modified description, added Require, fixed bug #0000098
* Thu Feb 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- new bootsplash, srpm
* Mon Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- rebuilt